## libzen 0.4.23

=== Project/CMake/CMakeLists.txt ===
project(zenlib)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../../ZenLib/Source)

add_definitions(-DUNICODE)

set(zenlib_SRCS
	ZenLib/Conf.cpp
	ZenLib/CriticalSection.cpp
	ZenLib/Dir.cpp
	ZenLib/File.cpp
	ZenLib/FileName.cpp
	ZenLib/HTTP_Client.cpp
	ZenLib/InfoMap.cpp
	ZenLib/int128s.cpp
	ZenLib/int128u.cpp
	ZenLib/MemoryDebug.cpp
	ZenLib/OS_Utils.cpp
	ZenLib/Translation.cpp
	ZenLib/Thread.cpp
	ZenLib/Utils.cpp
	ZenLib/Ztring.cpp
	ZenLib/ZtringList.cpp
	ZenLib/ZtringListList.cpp
	ZenLib/ZtringListListF.cpp
	ZenLib/Format/Html/Html_Handler.cpp
	ZenLib/Format/Html/Html_Request.cpp
	ZenLib/Format/Http/Http_Cookies.cpp
	ZenLib/Format/Http/Http_Handler.cpp
	ZenLib/Format/Http/Http_Request.cpp
	ZenLib/Format/Http/Http_Utils.cpp
	ZenLib/TinyXml/tinyxml.cpp
	ZenLib/TinyXml/tinyxmlerror.cpp
	ZenLib/TinyXml/tinyxmlparser.cpp
)

add_library(zenlib STATIC ${zenlib_SRCS})

=== debian/changelog ===
libzen (0.4.23-1ubuntu1) precise; urgency=low

  * Add symbols for powerpc

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 19 Jan 2012 18:07:46 +0000

libzen (0.4.23-1) unstable; urgency=low

  * Initial release (Closes: #654185)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 02 Jan 2012 01:49:36 +0800

=== debian/control ===
Source: libzen
Priority: optional
Maintainer: Chow Loong Jin <hyperair@debian.org>
Build-Depends: debhelper (>= 8.9.0~),
               dh-autoreconf,
               doxygen,
               tofrodos
Standards-Version: 3.9.2
Section: libs
Homepage: http://zenlib.sf.net
Vcs-Git: git://git.debian.org/git/collab-maint/packages/libzen.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/packages/libzen.git

Package: libzen-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libzen0 (= ${binary:Version}), libtinyxml-dev, ${misc:Depends}
Description: ZenLib C++ utility library -- development files
 ZenLib is a C++ utility library. It includes classes for handling strings,
 configuration, bit streams, threading, translation, and cross-platform
 operating system functions.
 .
 This package contains the headers required for compiling applications/libraries
 which use this library.

Package: libzen0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ZenLib C++ utility library -- runtime
 ZenLib is a C++ utility library. It includes classes for handling strings,
 configuration, bit streams, threading, translation, and cross-platform
 operating system functions.
 .
 This package contains the shared library needed for running applications which
 use this library.

Package: libzen-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ZenLib C++ utility library -- documentation
 ZenLib is a C++ utility library. It includes classes for handling strings,
 configuration, bit streams, threading, translation, and cross-platform
 operating system functions.
 .
 This package contains the Doxygen generated API reference for developing
 applications/libraries using this library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

version = $(shell dpkg-parsechangelog | sed -nre 's/^Version: (.*)-.*/\1/p')

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

libpath = Project/GNU/Library

override_dh_auto_configure:
	dh_auto_configure -D$(libpath) --	\
		--enable-shared			\
		--disable-static

override_dh_auto_build:
	cd Source/Doc && doxygen Doxyfile
	cp Source/Doc/*.html ./

	sed -i -e 's|Version: |Version: $(version)|g' Project/GNU/Library/libzen.pc

	dh_auto_build -D$(libpath)

override_dh_auto_clean:
	dh_auto_clean -D$(libpath)

override_dh_auto_install:
	dh_auto_install -D$(libpath)

override_dh_installdocs:
	dh_installdocs
	fromdos debian/*/usr/share/doc/*/*.txt

%:
	dh $@ --with=autoreconf

=== debian/watch ===
version=3

http://sf.net/zenlib/libzen_([0-9.]+)\.tar\.bz2

## libzen 0.4.24

=== debian/changelog ===
libzen (0.4.24-2) unstable; urgency=low

  * [15eb4bc] Remove Doxygen-generated files during clean.
    This fixes issues with the package being built twice.

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 29 Jan 2012 06:11:26 +0800

libzen (0.4.24-1) unstable; urgency=low

  * [9fccad3] Imported Upstream version 0.4.24
  * [9bbc628] Drop all patches -- applied upstream
  * [931d09d] Drop removed paths from .install
  * [586970b] Use download.mediaarea.net in watchfile
  * [a35bfce] Drop gbp.conf.
    Use tgz from download.mediaarea.net instead
  * [003e14d] Use download.mediaarea.net in watchfile

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 25 Jan 2012 03:42:26 +0800

libzen (0.4.23-4) unstable; urgency=low

  * [75c6135] Fix NEED_SIZET patch to avoid 32-bit breakage.
    Thanks to Peter Green (Closes: #656717)
  * [1ae30af] Install arch-specific libzenconfig.h to libzen-dev

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 22 Jan 2012 15:26:40 +0800

libzen (0.4.23-3) unstable; urgency=low

  * [773397c] Add patch to fix libmediainfo FTBFS on s390

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 20 Jan 2012 20:09:30 +0800

libzen (0.4.23-2) unstable; urgency=low

  * [ec1ccfa] Make long double symbols replaceable with __float128b.
    This fixes build issues with powerpc, sparc and s390(x)

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 20 Jan 2012 11:53:42 +0800

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 
 override_dh_auto_clean:
 	dh_auto_clean -D$(libpath)
+	rm -rf Doc/ *.html
 
 override_dh_auto_install:
 	dh_auto_install -D$(libpath)

=== debian/watch ===
version=3

http://download.mediaarea.net/source/libzen/([0-9.]+)/ libzen_([0-9.]+)\.tar\.gz

## libzen 0.4.27

=== debian/changelog ===
libzen (0.4.27-2) unstable; urgency=low

  * [6704d62] Ignore inline ToZtring symbols.
    This fixes build failures arising from spurious ToZtring symbols appearing when
    they get uninlined on certain architectures.
  * [25a304e] Sort libzen0.symbols

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 03 Jun 2012 16:49:28 +0800

libzen (0.4.27-1) unstable; urgency=low

  * [735e67f] Imported Upstream version 0.4.27
  * [0816384] Call dpkg-gensymbols with -c4.
    This ensures the symbols file is always kept up to date.
  * [4399009] Update optional symbols regex for std:: functions
  * [cb88073] Add --parallel to dh invocation

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 03 Jun 2012 13:33:44 +0800

libzen (0.4.26-1) unstable; urgency=low

  * [192a9e3] Imported Upstream version 0.4.26:
    - Better support of machines lacking of std::stringstream
    - Better support of machines requesting explicit stdc++ library link option
      (e.g. some ARM embedded devices)
  * [1122615] Bump debhelper build-dep version to 9
  * [0ef5511] Bump Standards-Version to 3.9.3
    - Update copyright format URL

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 22 Apr 2012 18:14:20 +0800

libzen (0.4.25-1) UNRELEASED; urgency=low

  * [5cb095b] Update watch url
  * [8bc5267] Imported Upstream version 0.4.25:
    + Fast bitstream parser
    + Removing Win9X detection on 64-bit CPU
    + Ztring: integer to text conversion with radix=2
    + Updated Linux compilation scripts
  * [e1dc5fd] Add missing clause to zlib license

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 30 Mar 2012 00:42:53 +0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: libzen
 Priority: optional
 Maintainer: Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper (>= 8.9.0~),
+Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                doxygen,
                tofrodos
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: libs
 Homepage: http://zenlib.sf.net
 Vcs-Git: git://git.debian.org/git/collab-maint/packages/libzen.git

## libzen 0.4.28

=== debian/changelog ===
libzen (0.4.28-1) experimental; urgency=low

  * [0c202c7] Imported Upstream version 0.4.28

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 19 Aug 2012 19:39:18 +0800

## libzen 0.4.29

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -29,9 +29,6 @@
 	ZenLib/Format/Http/Http_Handler.cpp
 	ZenLib/Format/Http/Http_Request.cpp
 	ZenLib/Format/Http/Http_Utils.cpp
-	ZenLib/TinyXml/tinyxml.cpp
-	ZenLib/TinyXml/tinyxmlerror.cpp
-	ZenLib/TinyXml/tinyxmlparser.cpp
 )
 
 add_library(zenlib STATIC ${zenlib_SRCS})

=== debian/changelog ===
libzen (0.4.29-1) unstable; urgency=low

  * [27b1766] Imported Upstream version 0.4.29
  * [de7c824] Fix dep5 field name typo

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 15 May 2013 21:28:44 +0800

libzen (0.4.28-2) experimental; urgency=low

  * [c0b2e49] Fix unlisted std:: symbol in libzen0.symbols (Closes: #701314)
  * [32d1a5b] Bump Standards-Version to 3.9.4

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 24 Feb 2013 01:05:22 +0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
                dh-autoreconf,
                doxygen,
                tofrodos
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: libs
 Homepage: http://zenlib.sf.net
 Vcs-Git: git://git.debian.org/git/collab-maint/packages/libzen.git

=== debian/rules ===
--- 
+++ 
@@ -32,5 +32,8 @@
 	dh_installdocs
 	fromdos debian/*/usr/share/doc/*/*.txt
 
+override_dh_makeshlibs:
+	dh_makeshlibs -- -c4
+
 %:
-	dh $@ --with=autoreconf
+	dh $@ --with=autoreconf --parallel

=== debian/watch ===
version=3

http://sf.net/zenlib/libzen_([0-9.]+)\.tar\.gz

## libzen 0.4.30

=== Project/CMake/CMakeLists.txt ===
project(ZenLib)

cmake_minimum_required(VERSION 2.8.11)

if(WIN32)
  option(BUILD_SHARED_LIBS "Build shared libs" OFF)
else()
  option(BUILD_SHARED_LIBS "Build shared libs" ON)
endif()

option(ENABLE_UNICODE "Enable unicode support" ON)

set(ZenLib_SOURCES_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../Source)

set(ZenLib_MAJOR_VERSION "0")
set(ZenLib_MINOR_VERSION "4")
set(ZenLib_PATCH_VERSION "30")

set(ZenLib_VERSION_STRING "${ZenLib_MAJOR_VERSION}.${ZenLib_MINOR_VERSION}.${ZenLib_PATCH_VERSION}")

# On Windows debug library should have 'd' postfix.
if(WIN32)
  set(CMAKE_DEBUG_POSTFIX "d")
elseif(APPLE)
  set(CMAKE_DEBUG_POSTFIX "_debug")
endif()

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin" CACHE STRING "Directory where binary will install")
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Directory where library will install")
set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE PATH "The directory the headers are installed in")

if(NOT MSVC)
  set(ZenLib_CONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/cmake/zenlib")
else()
  set(ZenLib_CONFIG_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/cmake/")
endif()

set(ZenLib_HDRS
  ${ZenLib_SOURCES_PATH}/ZenLib/BitStream.h
  ${ZenLib_SOURCES_PATH}/ZenLib/BitStream_Fast.h
  ${ZenLib_SOURCES_PATH}/ZenLib/BitStream_LE.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Conf.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Conf_Internal.h
  ${ZenLib_SOURCES_PATH}/ZenLib/CriticalSection.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Dir.h
  ${ZenLib_SOURCES_PATH}/ZenLib/File.h
  ${ZenLib_SOURCES_PATH}/ZenLib/FileName.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Html/Html_Handler.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Html/Html_Request.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Cookies.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Handler.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Request.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Utils.h
  ${ZenLib_SOURCES_PATH}/ZenLib/InfoMap.h
  ${ZenLib_SOURCES_PATH}/ZenLib/MemoryDebug.h
  ${ZenLib_SOURCES_PATH}/ZenLib/OS_Utils.h
  ${ZenLib_SOURCES_PATH}/ZenLib/PreComp.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Thread.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Trace.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Translation.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Utils.h
  ${ZenLib_SOURCES_PATH}/ZenLib/Ztring.h
  ${ZenLib_SOURCES_PATH}/ZenLib/ZtringList.h
  ${ZenLib_SOURCES_PATH}/ZenLib/ZtringListList.h
  ${ZenLib_SOURCES_PATH}/ZenLib/ZtringListListF.h
  ${ZenLib_SOURCES_PATH}/ZenLib/int128s.h
  ${ZenLib_SOURCES_PATH}/ZenLib/int128u.h
  )

set(ZenLib_SRCS
  ${ZenLib_SOURCES_PATH}/ZenLib/Conf.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/CriticalSection.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Dir.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/File.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/FileName.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/InfoMap.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/int128s.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/int128u.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/MemoryDebug.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/OS_Utils.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Translation.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Thread.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Utils.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Ztring.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/ZtringList.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/ZtringListList.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/ZtringListListF.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Html/Html_Handler.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Html/Html_Request.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Cookies.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Handler.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Request.cpp
  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Utils.cpp
  )

add_library(zen ${ZenLib_SRCS} ${ZenLib_HDRS})
if(ENABLE_UNICODE)
  set(ZenLib_CXXFLAGS -DUNICODE)
  target_compile_definitions(zen PUBLIC UNICODE)
endif()

try_compile(SIZE_T_IS_NOT_LONG ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/size_t_is_long_check.cpp)
if(NOT SIZE_T_IS_NOT_LONG)
  target_compile_definitions(zen PUBLIC SIZE_T_IS_LONG)
endif()

target_include_directories(zen INTERFACE ${INCLUDE_INSTALL_DIR})
target_include_directories(zen PRIVATE ${ZenLib_SOURCES_PATH})

set_target_properties(zen PROPERTIES
  VERSION ${ZenLib_MAJOR_VERSION}.${ZenLib_MINOR_VERSION}.${ZenLib_PATCH_VERSION}
  SOVERSION ${ZenLib_MAJOR_VERSION}
  )

if(MSVC)
  get_target_property(LOCATION zen LOCATION_DEBUG)
  string(REGEX REPLACE "\\.[^.]*$" ".pdb" LOCATION "${LOCATION}")
  install(FILES ${LOCATION} DESTINATION ${BIN_INSTALL_DIR} CONFIGURATIONS Debug)

  get_target_property(LOCATION zen LOCATION_RELWITHDEBINFO)
  string(REGEX REPLACE "\\.[^.]*$" ".pdb" LOCATION "${LOCATION}")
  install(FILES ${LOCATION} DESTINATION ${BIN_INSTALL_DIR} CONFIGURATIONS RelWithDebInfo)
endif()

install(TARGETS zen EXPORT zen-export
  RUNTIME DESTINATION ${BIN_INSTALL_DIR}
  ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
  LIBRARY DESTINATION ${LIB_INSTALL_DIR})

install(EXPORT zen-export DESTINATION ${ZenLib_CONFIG_INSTALL_DIR} FILE ZenLibTargets.cmake)

foreach(HEADER ${ZenLib_HDRS})
  string(REPLACE ${ZenLib_SOURCES_PATH} "" DIR ${HEADER})
  string(REGEX REPLACE "/[^/]*$" "" DIR ${DIR})
  install(FILES ${HEADER} DESTINATION include/${DIR})
endforeach()

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

# pkg-config
if(NOT WIN32)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libzen.pc.in
                 ${CMAKE_CURRENT_BINARY_DIR}/libzen.pc
                 @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libzen.pc
          DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
endif()

# cmake-modules
include(CMakePackageConfigHelpers)
configure_package_config_file(
  ZenLibConfig.cmake.in
  "${CMAKE_CURRENT_BINARY_DIR}/ZenLibConfig.cmake"
  INSTALL_DESTINATION ${ZenLib_CONFIG_INSTALL_DIR}
  PATH_VARS BIN_INSTALL_DIR
            LIB_INSTALL_DIR
            INCLUDE_INSTALL_DIR)

write_basic_config_version_file(ZenLibConfigVersion.cmake VERSION ${ZenLib_VERSION_STRING} COMPATIBILITY AnyNewerVersion)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/ZenLibConfig.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/ZenLibConfigVersion.cmake
  DESTINATION ${ZenLib_CONFIG_INSTALL_DIR})

if(NOT TARGET uninstall)
  add_custom_target(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
endif()

=== debian/changelog ===
libzen (0.4.30-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Thu, 01 Jan 2009 00:04:30 +0000

=== debian/control ===
Source: libzen
Priority: optional
Maintainer: MediaArea.net SARL <info@mediaarea.net>
Build-Depends: debhelper (>= 5), doxygen, tofrodos, automake, autoconf, libtool
Standards-Version: 3.7.3
Section: libs
Homepage: http://mediainfo.sourceforge.net
Vcs-Svn: https://zenlib.svn.sourceforge.net/svnroot/zenlib/ZenLib/
Vcs-Browser: http://zenlib.svn.sourceforge.net/viewvc/zenlib/ZenLib/

Package: libzen-dev
Section: libdevel
Architecture: any
Depends: libzen0 (>=0.4.30)
Description: libmediainfo mandatory library (dev)
 This package includes the development support files

Package: libzen0
Section: libs
Architecture: any
Depends:
Replaces: libzen0-dev
Description: libmediainfo mandatory library
 This package includes the shared library

## libzen 0.4.31

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -96,8 +96,11 @@
 
 add_library(zen ${ZenLib_SRCS} ${ZenLib_HDRS})
 if(ENABLE_UNICODE)
+  set(ZenLib_Unicode "yes")
   set(ZenLib_CXXFLAGS -DUNICODE)
   target_compile_definitions(zen PUBLIC UNICODE)
+else()
+  set(ZenLib_Unicode "no")
 endif()
 
 try_compile(SIZE_T_IS_NOT_LONG ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/size_t_is_long_check.cpp)

=== debian/changelog ===
libzen (0.4.31-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Thu, 01 Jan 2009 00:04:31 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: libzen-dev
 Section: libdevel
 Architecture: any
-Depends: libzen0 (>=0.4.30)
+Depends: libzen0 (>=0.4.31)
 Description: libmediainfo mandatory library (dev)
  This package includes the development support files

## libzen 0.4.32

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 set(ZenLib_MAJOR_VERSION "0")
 set(ZenLib_MINOR_VERSION "4")
-set(ZenLib_PATCH_VERSION "30")
+set(ZenLib_PATCH_VERSION "32")
 
 set(ZenLib_VERSION_STRING "${ZenLib_MAJOR_VERSION}.${ZenLib_MINOR_VERSION}.${ZenLib_PATCH_VERSION}")
 
@@ -25,10 +25,12 @@
   set(CMAKE_DEBUG_POSTFIX "_debug")
 endif()
 
+include(GNUInstallDirs)
+
 set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
-set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin" CACHE STRING "Directory where binary will install")
-set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Directory where library will install")
-set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE PATH "The directory the headers are installed in")
+set(BIN_INSTALL_DIR "${CMAKE_INSTALL_FULL_BINDIR}" CACHE STRING "Directory where binary will install")
+set(LIB_INSTALL_DIR "${CMAKE_INSTALL_FULL_LIBDIR}" CACHE STRING "Directory where library will install")
+set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_FULL_INCLUDEDIR}" CACHE PATH "The directory the headers are installed in")
 
 if(NOT MSVC)
   set(ZenLib_CONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/cmake/zenlib")

=== debian/changelog ===
libzen (0.4.32-1ubuntu0.16.04.1) xenial-proposed; urgency=medium

  * [8601742] Import large files patch (LP: #1693850)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 30 May 2017 00:39:22 +0800

libzen (0.4.32-1) unstable; urgency=medium

  * [1ff9bdc] Update debian/watch
  * [0fca616] Imported Upstream version 0.4.32
  * [a824eea] Drop patch, upstreamed

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 06 Nov 2015 16:16:26 +0800

libzen (0.4.31-4) unstable; urgency=medium

  * [57011db] Update Vcs-* fields (Closes: #796866)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 25 Aug 2015 15:17:38 +0800

libzen (0.4.31-3) unstable; urgency=low

  * Reupload to unstable

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 21 Aug 2015 20:19:44 +0800

libzen (0.4.31-2) experimental; urgency=medium

  * [ddb5069] Perform library transition for GCC 5 rebuild (Closes: #791188)
  * [aa296c3] Update libzen0v5.symbols
    std::basic_string has changed moved into a different namespace, changing the
    symbols of all functions which have it in their signature. (Closes: #792495)
  * [5e4009d] Add Replaces and Conflicts

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 11 Aug 2015 12:16:56 +0800

libzen (0.4.31-1) experimental; urgency=medium

  * [374490a] Imported Upstream version 0.4.31
  * [045cf87] Drop zenlib-missed-cmake-files.patch.
    Applied upstream
  * [2ae0146] Specify -B when using dh_auto_*
    Debhelper's cmake subsystem prefers to use out-of-tree building, at
    obj-${DEB_HOST_GNU_TYPE}, but this is an implementation detail we shouldn't
    rely on. So, explicitly set the builddir instead so that we know where to
    find the .pc file.
  * [1b2b7e9] Patch CMakeLists to use GNUInstallDirs.
    This gives us automatic multiarch support.
  * [3e9fa36] Update libzen-dev.install to look for .pc in debian/tmp

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 16 Apr 2015 12:15:44 +0800

libzen (0.4.30-2) UNRELEASED; urgency=low

  * [4d65fb4] Use cmake
  * [8b3e390] Re-add missing cmake files in a patch.
    Thanks to Ivan Romanov
  * [a6c4410] Mangle the cmake .pc, not the autofoo one

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 16 Apr 2015 12:09:44 +0800

libzen (0.4.30-1) experimental; urgency=medium

  * [0c54249] Update Vcs-* fields
    libzen resides in pkg-multimedia now, not in collab-maint.
    Thanks to Thomas Otto <thomas.c.otto@gmx.net>
  * [58c8a65] Imported Upstream version 0.4.30
  * [283c9f8] Update symbols file
  * [3dfbf94] Install .pc file to multiarch directory
  * [c0f040e] No-change bump of Standard-Version to 3.9.6

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 22 Nov 2014 10:46:21 +0800

=== debian/control ===
Source: libzen
Priority: optional
Maintainer: Chow Loong Jin <hyperair@debian.org>
Build-Depends: debhelper (>= 9),
               cmake,
               dh-exec,
               doxygen,
               tofrodos
Standards-Version: 3.9.6
Section: libs
Homepage: http://zenlib.sf.net
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libzen.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libzen.git/

Package: libzen-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libzen0v5 (= ${binary:Version}), libtinyxml-dev, ${misc:Depends}
Description: ZenLib C++ utility library -- development files
 ZenLib is a C++ utility library. It includes classes for handling strings,
 configuration, bit streams, threading, translation, and cross-platform
 operating system functions.
 .
 This package contains the headers required for compiling applications/libraries
 which use this library.

Package: libzen0v5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libzen0
Conflicts: libzen0
Description: ZenLib C++ utility library -- runtime
 ZenLib is a C++ utility library. It includes classes for handling strings,
 configuration, bit streams, threading, translation, and cross-platform
 operating system functions.
 .
 This package contains the shared library needed for running applications which
 use this library.

Package: libzen-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ZenLib C++ utility library -- documentation
 ZenLib is a C++ utility library. It includes classes for handling strings,
 configuration, bit streams, threading, translation, and cross-platform
 operating system functions.
 .
 This package contains the Doxygen generated API reference for developing
 applications/libraries using this library.

=== debian/watch ===
version=3

http://mediaarea.net/download/source/libzen/([0-9.]+)/libzen_([0-9.]+).tar.gz

## libzen 0.4.33

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 set(ZenLib_MAJOR_VERSION "0")
 set(ZenLib_MINOR_VERSION "4")
-set(ZenLib_PATCH_VERSION "32")
+set(ZenLib_PATCH_VERSION "33")
 
 set(ZenLib_VERSION_STRING "${ZenLib_MAJOR_VERSION}.${ZenLib_MINOR_VERSION}.${ZenLib_PATCH_VERSION}")

=== debian/changelog ===
libzen (0.4.33-3ubuntu0.16.10.1) yakkety-proposed; urgency=medium

  * [57d99f9] Import large files patch (LP: #1693850)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 30 May 2017 00:24:00 +0800

libzen (0.4.33-3) unstable; urgency=medium

  * [523a79f] Fix fromdos step failing during installdocs (Closes: #806655)

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 25 Aug 2016 15:17:28 +0800

libzen (0.4.33-2) unstable; urgency=medium

  * [7762055] Make ZenLib::Format::Http::Cookie::~Cookie() optional
    (Closes: #811962)

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 03 Aug 2016 23:12:55 +0800

libzen (0.4.33-1) unstable; urgency=medium

  * [efcb910] Update homepage
  * [a462198] Imported Upstream version 0.4.33

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 05 Mar 2016 01:47:03 +0800

## libzen 0.4.34

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,9 @@
 project(ZenLib)
 
 cmake_minimum_required(VERSION 2.8.11)
+
+# Allow use of the LOCATION target property with CMake version >= 2.8.12
+cmake_policy(SET CMP0026 OLD)
 
 if(WIN32)
   option(BUILD_SHARED_LIBS "Build shared libs" OFF)
@@ -14,7 +17,7 @@
 
 set(ZenLib_MAJOR_VERSION "0")
 set(ZenLib_MINOR_VERSION "4")
-set(ZenLib_PATCH_VERSION "33")
+set(ZenLib_PATCH_VERSION "34")
 
 set(ZenLib_VERSION_STRING "${ZenLib_MAJOR_VERSION}.${ZenLib_MINOR_VERSION}.${ZenLib_PATCH_VERSION}")
 
@@ -105,8 +108,10 @@
   set(ZenLib_Unicode "no")
 endif()
 
-try_compile(SIZE_T_IS_NOT_LONG ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/size_t_is_long_check.cpp)
-if(NOT SIZE_T_IS_NOT_LONG)
+include(CheckTypeSize)
+check_type_size(size_t SIZE_T_SIZE)
+check_type_size(long LONG_SIZE)
+if((LONG_SIZE GREATER 4) AND (SIZE_T_SIZE EQUAL LONG_SIZE))
   target_compile_definitions(zen PUBLIC SIZE_T_IS_LONG)
 endif()

=== debian/changelog ===
libzen (0.4.34-1) unstable; urgency=medium

  * [9ee39c7] Imported Upstream version 0.4.34

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 19 Dec 2016 16:52:16 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                tofrodos
 Standards-Version: 3.9.6
 Section: libs
-Homepage: http://zenlib.sf.net
+Homepage: https://github.com/MediaArea/ZenLib/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libzen.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libzen.git/

## libzen 0.4.36

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,6 @@
-project(ZenLib)
+cmake_minimum_required(VERSION 3.0)
 
-cmake_minimum_required(VERSION 2.8.11)
-
-# Allow use of the LOCATION target property with CMake version >= 2.8.12
-cmake_policy(SET CMP0026 OLD)
+project(ZenLib VERSION 0.4.36)
 
 if(WIN32)
   option(BUILD_SHARED_LIBS "Build shared libs" OFF)
@@ -12,14 +9,10 @@
 endif()
 
 option(ENABLE_UNICODE "Enable unicode support" ON)
+option(LARGE_FILES "Enable large files support" ON)
 
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/Modules/")
 set(ZenLib_SOURCES_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../Source)
-
-set(ZenLib_MAJOR_VERSION "0")
-set(ZenLib_MINOR_VERSION "4")
-set(ZenLib_PATCH_VERSION "34")
-
-set(ZenLib_VERSION_STRING "${ZenLib_MAJOR_VERSION}.${ZenLib_MINOR_VERSION}.${ZenLib_PATCH_VERSION}")
 
 # On Windows debug library should have 'd' postfix.
 if(WIN32)
@@ -38,7 +31,7 @@
 if(NOT MSVC)
   set(ZenLib_CONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/cmake/zenlib")
 else()
-  set(ZenLib_CONFIG_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/cmake/")
+  set(ZenLib_CONFIG_INSTALL_DIR "cmake")
 endif()
 
 set(ZenLib_HDRS
@@ -51,12 +44,6 @@
   ${ZenLib_SOURCES_PATH}/ZenLib/Dir.h
   ${ZenLib_SOURCES_PATH}/ZenLib/File.h
   ${ZenLib_SOURCES_PATH}/ZenLib/FileName.h
-  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Html/Html_Handler.h
-  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Html/Html_Request.h
-  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Cookies.h
-  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Handler.h
-  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Request.h
-  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Utils.h
   ${ZenLib_SOURCES_PATH}/ZenLib/InfoMap.h
   ${ZenLib_SOURCES_PATH}/ZenLib/MemoryDebug.h
   ${ZenLib_SOURCES_PATH}/ZenLib/OS_Utils.h
@@ -71,6 +58,18 @@
   ${ZenLib_SOURCES_PATH}/ZenLib/ZtringListListF.h
   ${ZenLib_SOURCES_PATH}/ZenLib/int128s.h
   ${ZenLib_SOURCES_PATH}/ZenLib/int128u.h
+  )
+
+set(ZenLib_format_html_HDRS
+  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Html/Html_Handler.h
+  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Html/Html_Request.h
+  )
+
+set(ZenLib_format_http_HDRS
+  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Cookies.h
+  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Handler.h
+  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Request.h
+  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Utils.h
   )
 
 set(ZenLib_SRCS
@@ -99,13 +98,20 @@
   ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Utils.cpp
   )
 
-add_library(zen ${ZenLib_SRCS} ${ZenLib_HDRS})
+add_library(zen ${ZenLib_SRCS} ${ZenLib_HDRS} ${ZenLib_format_html_HDRS} ${ZenLib_format_http_HDRS})
 if(ENABLE_UNICODE)
   set(ZenLib_Unicode "yes")
-  set(ZenLib_CXXFLAGS -DUNICODE)
-  target_compile_definitions(zen PUBLIC UNICODE)
+  set(ZenLib_CXXFLAGS -DUNICODE) # For pkg-config template
+  target_compile_definitions(zen PUBLIC UNICODE _UNICODE)
 else()
   set(ZenLib_Unicode "no")
+endif()
+
+if(LARGE_FILES)
+  include(TestLargeFiles)
+
+  test_large_files(_LARGEFILES)
+  target_compile_definitions(zen PUBLIC ${LARGE_FILES_DEFINITIONS})
 endif()
 
 include(CheckTypeSize)
@@ -115,36 +121,30 @@
   target_compile_definitions(zen PUBLIC SIZE_T_IS_LONG)
 endif()
 
-target_include_directories(zen INTERFACE ${INCLUDE_INSTALL_DIR})
-target_include_directories(zen PRIVATE ${ZenLib_SOURCES_PATH})
+target_include_directories(zen PUBLIC
+  $<BUILD_INTERFACE:${ZenLib_SOURCES_PATH}>
+  $<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}>)
 
 set_target_properties(zen PROPERTIES
-  VERSION ${ZenLib_MAJOR_VERSION}.${ZenLib_MINOR_VERSION}.${ZenLib_PATCH_VERSION}
-  SOVERSION ${ZenLib_MAJOR_VERSION}
+  VERSION ${ZenLib_VERSION}
+  SOVERSION ${ZenLib_VERSION_MAJOR}
+  PUBLIC_HEADER "${ZenLib_HDRS}"
   )
 
 if(MSVC)
-  get_target_property(LOCATION zen LOCATION_DEBUG)
-  string(REGEX REPLACE "\\.[^.]*$" ".pdb" LOCATION "${LOCATION}")
-  install(FILES ${LOCATION} DESTINATION ${BIN_INSTALL_DIR} CONFIGURATIONS Debug)
-
-  get_target_property(LOCATION zen LOCATION_RELWITHDEBINFO)
-  string(REGEX REPLACE "\\.[^.]*$" ".pdb" LOCATION "${LOCATION}")
-  install(FILES ${LOCATION} DESTINATION ${BIN_INSTALL_DIR} CONFIGURATIONS RelWithDebInfo)
+  install(FILES $<TARGET_PDB_FILE:zen> DESTINATION ${BIN_INSTALL_DIR} CONFIGURATIONS "Debug;RelWithDebInfo" OPTIONAL)
 endif()
 
 install(TARGETS zen EXPORT zen-export
+  PUBLIC_HEADER DESTINATION ${INCLUDE_INSTALL_DIR}/ZenLib
   RUNTIME DESTINATION ${BIN_INSTALL_DIR}
   ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
   LIBRARY DESTINATION ${LIB_INSTALL_DIR})
 
+install(FILES ${ZenLib_format_html_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/ZenLib/Format/Html)
+install(FILES ${ZenLib_format_http_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/ZenLib/Format/Http)
+
 install(EXPORT zen-export DESTINATION ${ZenLib_CONFIG_INSTALL_DIR} FILE ZenLibTargets.cmake)
-
-foreach(HEADER ${ZenLib_HDRS})
-  string(REPLACE ${ZenLib_SOURCES_PATH} "" DIR ${HEADER})
-  string(REGEX REPLACE "/[^/]*$" "" DIR ${DIR})
-  install(FILES ${HEADER} DESTINATION include/${DIR})
-endforeach()
 
 configure_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
@@ -152,7 +152,8 @@
   IMMEDIATE @ONLY)
 
 # pkg-config
-if(NOT WIN32)
+find_package(PkgConfig)
+if(PKG_CONFIG_FOUND)
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libzen.pc.in
                  ${CMAKE_CURRENT_BINARY_DIR}/libzen.pc
                  @ONLY)
@@ -166,11 +167,9 @@
   ZenLibConfig.cmake.in
   "${CMAKE_CURRENT_BINARY_DIR}/ZenLibConfig.cmake"
   INSTALL_DESTINATION ${ZenLib_CONFIG_INSTALL_DIR}
-  PATH_VARS BIN_INSTALL_DIR
-            LIB_INSTALL_DIR
-            INCLUDE_INSTALL_DIR)
+  PATH_VARS INCLUDE_INSTALL_DIR)
 
-write_basic_config_version_file(ZenLibConfigVersion.cmake VERSION ${ZenLib_VERSION_STRING} COMPATIBILITY AnyNewerVersion)
+write_basic_config_version_file(ZenLibConfigVersion.cmake COMPATIBILITY AnyNewerVersion)
 
 install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/ZenLibConfig.cmake

=== debian/changelog ===
libzen (0.4.36-1) unstable; urgency=medium

  * [5fdf0bd] New upstream version 0.4.36
  * [4ba834f] Build-dep on pkg-config

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 12 Aug 2017 02:55:29 +0800

libzen (0.4.35-3) unstable; urgency=medium

  * [ee13f18] Update symbols to handle time_t being "long long" on x32

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 10 Jul 2017 07:46:48 +0800

libzen (0.4.35-2) unstable; urgency=medium

  * Upload to unstable

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 10 Jul 2017 00:51:40 +0800

libzen (0.4.35-1) experimental; urgency=medium

  * [015b0fa] Imported Upstream version 0.4.35

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 04 Apr 2017 00:39:46 +0800

## libzen 0.4.37

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,11 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 2.8.11)
 
-project(ZenLib VERSION 0.4.36)
+project(ZenLib)
+
+set(ZenLib_MAJOR_VERSION 0)
+set(ZenLib_MINOR_VERSION 4)
+set(ZenLib_PATCH_VERSION 37)
+set(ZenLib_VERSION ${ZenLib_MAJOR_VERSION}.${ZenLib_MINOR_VERSION}.${ZenLib_PATCH_VERSION})
 
 if(WIN32)
   option(BUILD_SHARED_LIBS "Build shared libs" OFF)
@@ -127,7 +132,7 @@
 
 set_target_properties(zen PROPERTIES
   VERSION ${ZenLib_VERSION}
-  SOVERSION ${ZenLib_VERSION_MAJOR}
+  SOVERSION ${ZenLib_MAJOR_VERSION}
   PUBLIC_HEADER "${ZenLib_HDRS}"
   )
 
@@ -169,7 +174,7 @@
   INSTALL_DESTINATION ${ZenLib_CONFIG_INSTALL_DIR}
   PATH_VARS INCLUDE_INSTALL_DIR)
 
-write_basic_config_version_file(ZenLibConfigVersion.cmake COMPATIBILITY AnyNewerVersion)
+write_basic_config_version_file(ZenLibConfigVersion.cmake VERSION ${ZenLib_VERSION} COMPATIBILITY AnyNewerVersion)
 
 install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/ZenLibConfig.cmake

=== debian/changelog ===
libzen (0.4.37-1ubuntu0.20.04.1) focal-security; urgency=medium

  * SECURITY UPDATE: NULL pointer dereferencing if the GMT conversion of the
    input fails
    - debian/patches/CVE-2020-36646.patch: Prevents the NULL pointer by adding
      a check after the GTM conversion, in Source/ZenLib/Ztring.cpp.
    - CVE-2020-36646

 -- George-Andrei Iosif <andrei.iosif@canonical.com>  Tue, 18 Apr 2023 16:00:34 +0300

libzen (0.4.37-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:07:17 +0100

libzen (0.4.37-1) unstable; urgency=medium

  * [328f764] New upstream version 0.4.37

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 10 Sep 2017 04:12:26 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: libzen
 Priority: optional
-Maintainer: Chow Loong Jin <hyperair@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chow Loong Jin <hyperair@debian.org>
 Build-Depends: debhelper (>= 9),
                cmake,
+               pkg-config,
                dh-exec,
                doxygen,
                tofrodos

## libzen 0.4.37.1

=== debian/changelog ===
libzen (0.4.37.1-deepin1) ubstable; urgency=medium

  * fix CVE-2020-36646

 -- zengwei <zengwei1@uniontech.com>  Sun, 29 Jan 2023 17:18:02 +0800

## libzen 0.4.38

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -4,11 +4,11 @@
 
 set(ZenLib_MAJOR_VERSION 0)
 set(ZenLib_MINOR_VERSION 4)
-set(ZenLib_PATCH_VERSION 37)
+set(ZenLib_PATCH_VERSION 38)
 set(ZenLib_VERSION ${ZenLib_MAJOR_VERSION}.${ZenLib_MINOR_VERSION}.${ZenLib_PATCH_VERSION})
 
 if(WIN32)
-  option(BUILD_SHARED_LIBS "Build shared libs" OFF)
+  set(BUILD_SHARED_LIBS OFF)
 else()
   option(BUILD_SHARED_LIBS "Build shared libs" ON)
 endif()
@@ -33,10 +33,12 @@
 set(LIB_INSTALL_DIR "${CMAKE_INSTALL_FULL_LIBDIR}" CACHE STRING "Directory where library will install")
 set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_FULL_INCLUDEDIR}" CACHE PATH "The directory the headers are installed in")
 
-if(NOT MSVC)
-  set(ZenLib_CONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/cmake/zenlib")
+if(VCPKG_TARGET_TRIPLET)
+    set(ZenLib_CONFIG_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/zenlib")
+elseif(MSVC)
+    set(ZenLib_CONFIG_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/cmake")
 else()
-  set(ZenLib_CONFIG_INSTALL_DIR "cmake")
+    set(ZenLib_CONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/cmake/zenlib")
 endif()
 
 set(ZenLib_HDRS
@@ -112,6 +114,11 @@
   set(ZenLib_Unicode "no")
 endif()
 
+FIND_PACKAGE(Threads)
+if(CMAKE_THREAD_LIBS_INIT)
+  target_link_libraries(zen PUBLIC ${CMAKE_THREAD_LIBS_INIT})
+endif()
+
 if(LARGE_FILES)
   include(TestLargeFiles)
 
@@ -135,10 +142,6 @@
   SOVERSION ${ZenLib_MAJOR_VERSION}
   PUBLIC_HEADER "${ZenLib_HDRS}"
   )
-
-if(MSVC)
-  install(FILES $<TARGET_PDB_FILE:zen> DESTINATION ${BIN_INSTALL_DIR} CONFIGURATIONS "Debug;RelWithDebInfo" OPTIONAL)
-endif()
 
 install(TARGETS zen EXPORT zen-export
   PUBLIC_HEADER DESTINATION ${INCLUDE_INSTALL_DIR}/ZenLib

=== debian/changelog ===
libzen (0.4.38-1) unstable; urgency=medium

  * [7cc8350] New upstream version 0.4.38
  * [feef11a] Bump Standards-Version
  * [d8b2f0e] Bump debhelper compat to 12
  * [d2f4166] Drop --parallel from dh invocation.
    It's default now
  * [234a73a] Update Vcs-* URI

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 10 Apr 2020 23:32:09 +0800

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: libzen
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Chow Loong Jin <hyperair@debian.org>
+Build-Depends: debhelper-compat (= 12),
                cmake,
                pkg-config,
                dh-exec,
                doxygen,
                tofrodos
-Standards-Version: 3.9.6
+Standards-Version: 4.4.0
 Section: libs
 Homepage: https://github.com/MediaArea/ZenLib/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libzen.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libzen.git/
+Vcs-Git: https://salsa.debian.org/multimedia-team/libzen.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/libzen
 
 Package: libzen-dev
 Section: libdevel

## libzen 0.4.39

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(ZenLib_MAJOR_VERSION 0)
 set(ZenLib_MINOR_VERSION 4)
-set(ZenLib_PATCH_VERSION 38)
+set(ZenLib_PATCH_VERSION 39)
 set(ZenLib_VERSION ${ZenLib_MAJOR_VERSION}.${ZenLib_MINOR_VERSION}.${ZenLib_PATCH_VERSION})
 
 if(WIN32)
@@ -133,6 +133,16 @@
   target_compile_definitions(zen PUBLIC SIZE_T_IS_LONG)
 endif()
 
+include(CheckSymbolExists)
+check_symbol_exists(gmtime_r time.h HAVE_GMTIME_R)
+if(HAVE_GMTIME_R)
+  target_compile_definitions(zen PUBLIC HAVE_GMTIME_R)
+endif()
+check_symbol_exists(localtime_r time.h HAVE_LOCALTIME_R)
+if(HAVE_LOCALTIME_R)
+  target_compile_definitions(zen PUBLIC HAVE_LOCALTIME_R)
+endif()
+
 target_include_directories(zen PUBLIC
   $<BUILD_INTERFACE:${ZenLib_SOURCES_PATH}>
   $<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}>)

=== debian/changelog ===
libzen (0.4.39-1) unstable; urgency=medium

  * [dadb67e] New upstream version 0.4.39

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 30 Mar 2021 10:47:25 +0800

## libzen 0.4.40

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
-cmake_minimum_required(VERSION 2.8.11)
+cmake_minimum_required(VERSION 3.1.0)
 
 project(ZenLib)
 
 set(ZenLib_MAJOR_VERSION 0)
 set(ZenLib_MINOR_VERSION 4)
-set(ZenLib_PATCH_VERSION 39)
+set(ZenLib_PATCH_VERSION 40)
 set(ZenLib_VERSION ${ZenLib_MAJOR_VERSION}.${ZenLib_MINOR_VERSION}.${ZenLib_PATCH_VERSION})
 
 if(WIN32)
@@ -17,7 +17,13 @@
 option(LARGE_FILES "Enable large files support" ON)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/Modules/")
-set(ZenLib_SOURCES_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../Source)
+if(MINGW)
+  # Work around for cmake generating extra long paths
+  file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/../../Source DESTINATION .)
+  set(ZenLib_SOURCES_PATH ${CMAKE_CURRENT_BINARY_DIR}/Source)
+else()
+  set(ZenLib_SOURCES_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../Source)
+endif()
 
 # On Windows debug library should have 'd' postfix.
 if(WIN32)
@@ -105,6 +111,11 @@
   ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Utils.cpp
   )
 
+if(WIN32)
+  set_source_files_properties(${ZenLib_SRCS} ${ZenLib_HDRS} ${ZenLib_format_html_HDRS} ${ZenLib_format_http_HDRS}
+    PROPERTIES GENERATED true)
+endif()
+
 add_library(zen ${ZenLib_SRCS} ${ZenLib_HDRS} ${ZenLib_format_html_HDRS} ${ZenLib_format_http_HDRS})
 if(ENABLE_UNICODE)
   set(ZenLib_Unicode "yes")
@@ -151,6 +162,9 @@
   VERSION ${ZenLib_VERSION}
   SOVERSION ${ZenLib_MAJOR_VERSION}
   PUBLIC_HEADER "${ZenLib_HDRS}"
+  CXX_STANDARD 11
+  CXX_EXTENSIONS NO
+  CXX_STANDARD_REQUIRED YES
   )
 
 install(TARGETS zen EXPORT zen-export

=== debian/changelog ===
libzen (0.4.40-1) unstable; urgency=medium

  * [3b63928] New upstream version 0.4.40
  * [598e7db] Drop superfluous file patterns from debian/copyright

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 24 Dec 2022 16:09:22 +0800

## libzen 0.4.41

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(ZenLib_MAJOR_VERSION 0)
 set(ZenLib_MINOR_VERSION 4)
-set(ZenLib_PATCH_VERSION 40)
+set(ZenLib_PATCH_VERSION 41)
 set(ZenLib_VERSION ${ZenLib_MAJOR_VERSION}.${ZenLib_MINOR_VERSION}.${ZenLib_PATCH_VERSION})
 
 if(WIN32)

=== debian/changelog ===
libzen (0.4.41-3) unstable; urgency=medium

  [ Debian Janitor ]
  * [fe07144] Apply multi-arch hints.
    + libzen-dev: Add Multi-Arch: same.

  [ Chow Loong Jin ]
  * Acknowledge NMU
  * [920f8d3] Patch to raise cmake max policy version (Closes: #1113229)
  * [17d4164] d/libzen-dev.install: Fix dh_missing warnings
    - /usr/include/ZenLib is installed by the upstream cmake project, so use
      those wherever they exist
    - /usr/lib/*/cmake needs to be installed into the -dev package
    - Drop Source/* entries where redundant (HTTP_Client is missing from
      upstream install
  * [c456cab] d/watch: Update version to 4
  * [c87603b] d/control: Update pkg-config build-dep to pkgconf

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 29 Sep 2025 17:33:35 +0800

libzen (0.4.41-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062741

 -- Steve Langasek <vorlon@debian.org>  Fri, 01 Mar 2024 07:27:03 +0000

libzen (0.4.41-2) unstable; urgency=medium

  * [3a602d5] Set Multi-Arch: foreign for libzen-doc
  * [b7a9270] Add autopkgtests

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 13 Apr 2023 16:31:03 +0800

libzen (0.4.41-1) unstable; urgency=medium

  * [587254d] New upstream version 0.4.41

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 12 Apr 2023 10:28:04 +0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: libzen
 Priority: optional
 Maintainer: Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12),
                cmake,
-               pkg-config,
+               pkgconf | pkg-config,
                dh-exec,
                doxygen,
                tofrodos
@@ -17,7 +17,8 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libzen0v5 (= ${binary:Version}), libtinyxml-dev, ${misc:Depends}
+Depends: libzen0t64 (= ${binary:Version}), libtinyxml-dev, ${misc:Depends}
+Multi-Arch: same
 Description: ZenLib C++ utility library -- development files
  ZenLib is a C++ utility library. It includes classes for handling strings,
  configuration, bit streams, threading, translation, and cross-platform
@@ -26,12 +27,15 @@
  This package contains the headers required for compiling applications/libraries
  which use this library.
 
-Package: libzen0v5
+Package: libzen0t64
+Provides: ${t64:Provides}
+X-Time64-Compat: libzen0v5
+Breaks: libzen0v5 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libzen0
+Replaces: libzen0v5, libzen0
 Conflicts: libzen0
 Description: ZenLib C++ utility library -- runtime
  ZenLib is a C++ utility library. It includes classes for handling strings,
@@ -44,6 +48,7 @@
 Package: libzen-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: ZenLib C++ utility library -- documentation
  ZenLib is a C++ utility library. It includes classes for handling strings,

=== debian/watch ===
version=4

http://mediaarea.net/download/source/libzen/([0-9.]+)/libzen_([0-9.]+).tar.gz

## libzen 0.4.41.20251011

=== debian/changelog ===
libzen (0.4.41.20251011-1) experimental; urgency=medium

  * Upstream version 0.4.41.20251011
    For details, see https://github.com/MediaArea/ZenLib/blob/master/History.txt

 -- MediaArea <info@mediaarea.net>  Wed, 21 Dec 2022 10:30:00 +0100

libzen (0.4.39-1) experimental; urgency=medium

  * Upstream version 0.4.39
    For details, see https://github.com/MediaArea/ZenLib/blob/master/History.txt

 -- MediaArea <info@mediaarea.net>  Mon, 02 Nov 2015 10:30:00 +0100

## libzen 0.4.41.20251015

=== debian/changelog ===
libzen (0.4.41.20251015-1) experimental; urgency=medium

  * Upstream version 0.4.41.20251015
    For details, see https://github.com/MediaArea/ZenLib/blob/master/History.txt

 -- MediaArea <info@mediaarea.net>  Wed, 21 Dec 2022 10:30:00 +0100

## libzen 0.4.41.20251016

=== debian/changelog ===
libzen (0.4.41.20251016-1) experimental; urgency=medium

  * Upstream version 0.4.41.20251016
    For details, see https://github.com/MediaArea/ZenLib/blob/master/History.txt

 -- MediaArea <info@mediaarea.net>  Wed, 21 Dec 2022 10:30:00 +0100

## libzen 0.4.41.20251018

=== debian/changelog ===
libzen (0.4.41.20251018-1) experimental; urgency=medium

  * Upstream version 0.4.41.20251018
    For details, see https://github.com/MediaArea/ZenLib/blob/master/History.txt

 -- MediaArea <info@mediaarea.net>  Wed, 21 Dec 2022 10:30:00 +0100

## libzen 0.4.41.20251025

=== debian/changelog ===
libzen (0.4.41.20251025-1) experimental; urgency=medium

  * Upstream version 0.4.41.20251025
    For details, see https://github.com/MediaArea/ZenLib/blob/master/History.txt

 -- MediaArea <info@mediaarea.net>  Wed, 21 Dec 2022 10:30:00 +0100

## libzen 0.4.41.20251028

=== debian/changelog ===
libzen (0.4.41.20251028-1) experimental; urgency=medium

  * Upstream version 0.4.41.20251028
    For details, see https://github.com/MediaArea/ZenLib/blob/master/History.txt

 -- MediaArea <info@mediaarea.net>  Wed, 21 Dec 2022 10:30:00 +0100

## libzen 0.4.41.20251101

=== debian/changelog ===
libzen (0.4.41.20251101-1) experimental; urgency=medium

  * Upstream version 0.4.41.20251101
    For details, see https://github.com/MediaArea/ZenLib/blob/master/History.txt

 -- MediaArea <info@mediaarea.net>  Wed, 21 Dec 2022 10:30:00 +0100

## libzen 0.4.41.20251108

=== debian/changelog ===
libzen (0.4.41.20251108-1) experimental; urgency=medium

  * Upstream version 0.4.41.20251108
    For details, see https://github.com/MediaArea/ZenLib/blob/master/History.txt

 -- MediaArea <info@mediaarea.net>  Wed, 21 Dec 2022 10:30:00 +0100

## libzen 0.4.41.20251122

=== debian/changelog ===
libzen (0.4.41.20251122-1) experimental; urgency=medium

  * Upstream version 0.4.41.20251122
    For details, see https://github.com/MediaArea/ZenLib/blob/master/History.txt

 -- MediaArea <info@mediaarea.net>  Wed, 21 Dec 2022 10:30:00 +0100

## libzen 0.4.41.20260110

=== debian/changelog ===
libzen (0.4.41.20260110-1) experimental; urgency=medium

  * Upstream version 0.4.41.20260110
    For details, see https://github.com/MediaArea/ZenLib/blob/master/History.txt

 -- MediaArea <info@mediaarea.net>  Wed, 21 Dec 2022 10:30:00 +0100
